## sudo 1.8.20p2

=== debian/changelog ===
sudo (1.8.20p2-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable. (LP: #1697587)
    Remaining changes:
    - Use tmpfs location to store timestamp files
      + debian/rules: change --with-rundir to /var/run/sudo
      + debian/rules, debian/sudo.service, debian/sudo.sudo.init: stop
        shipping init script and service file, as they are no longer
        necessary.
      + debian/*.preinst, debian/*.postinst, debian/*.postrm: remove old
        init script with dpkg-maintscript-helper.
      + debian/*.postinst: remove old /var/run/sudo to /var/lib/sudo
        transition code, remove old /var/lib/sudo/ts timestamp directory.
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/control, debian/rules:
      + use dh-autoreconf
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment
    - Dropped patches no longer needed:
      + CVE-2017-1000367.patch

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 12 Jun 2017 21:51:31 +0200

sudo (1.8.20p2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 08 Jun 2017 11:57:02 -0600

sudo (1.8.20p1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use /proc/self consistently on Linux
  * CVE-2017-1000368: Arbitrary terminal access (Closes: #863897)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 05 Jun 2017 14:19:33 +0200

sudo (1.8.20p1-1) unstable; urgency=high

  * New upstream version with fix for CVE-2017-1000367, closes: #863731

 -- Bdale Garbee <bdale@gag.com>  Tue, 30 May 2017 14:41:58 -0600

sudo (1.8.20-1) unstable; urgency=medium

  * New upstream version
  * patch from Helmut Grohne to fix cross-building issues, closes: #847131
    + Let dh_auto_configure pass --host to configure
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 May 2017 10:25:46 -0600

sudo (1.8.19p1-1ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: /proc/self/stat parsing confusion
    - debian/patches/CVE-2017-1000367.patch: adjust parsing to
      find ttyname
    - CVE-2017-1000367

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 29 May 2017 03:13:37 -0700

sudo (1.8.19p1-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable. (LP: #1607666)
    Remaining changes:
    - Use tmpfs location to store timestamp files
      + debian/rules: change --with-rundir to /var/run/sudo
      + debian/rules, debian/sudo.service, debian/sudo.sudo.init: stop
        shipping init script and service file, as they are no longer
        necessary.
      + debian/*.preinst, debian/*.postinst, debian/*.postrm: remove old
        init script with dpkg-maintscript-helper.
      + debian/*.postinst: remove old /var/run/sudo to /var/lib/sudo
        transition code, remove old /var/lib/sudo/ts timestamp directory.
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/control, debian/rules:
      + use dh-autoreconf
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment
    - Dropped patches no longer needed:
      + debian/patches/lp1565567.patch: upstream.
      + debian/patches/also_check_sudo_group.diff: upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 14 Jan 2017 01:41:17 +0200

sudo (1.8.16-0ubuntu3) yakkety; urgency=medium

  * debian/sudoers:
    - include /snap/bin in the secure_path (LP: #1595558)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Aug 2016 18:08:34 +0200

sudo (1.8.16-0ubuntu2) yakkety; urgency=medium

  * debian/patches/lp1565567.patch: fix crash when looking up a negative
    cached entry which is stored as a NULL passwd or group struct pointer
    in plugins/sudoers/pwutil.c. (LP: #1565567)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 May 2016 11:31:55 -0400
