## sudo 1.8.21p2

=== debian/changelog ===
sudo (1.8.21p2-3ubuntu1.6) bionic-security; urgency=medium

  * SECURITY UPDATE: does not escape control characters
    - debian/patches/CVE-2023-2848x-1.patch: escape control characters in
      log messages and sudoreplay output in docs/sudoers.man.in,
      docs/sudoers.mdoc.in, docs/sudoreplay.man.in,
      docs/sudoreplay.mdoc.in, include/sudo_compat.h, include/sudo_lbuf.h,
      lib/util/lbuf.c, lib/util/util.exp.in, plugins/sudoers/logging.c,
      plugins/sudoers/sudoreplay.c.
    - debian/patches/CVE-2023-2848x-2.patch: fix regression in
      plugins/sudoers/logging.c.
    - CVE-2023-28486
    - CVE-2023-28487

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Apr 2023 08:44:58 -0400

sudo (1.8.21p2-3ubuntu1.5) bionic-security; urgency=medium

  * SECURITY UPDATE: arbitrary file overwrite via sudoedit
    - debian/patches/CVE-2023-22809.patch: do not permit editor arguments
      to include -- in plugins/sudoers/editor.c.
    - CVE-2023-22809

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Jan 2023 09:40:55 -0500

sudo (1.8.21p2-3ubuntu1.4) bionic-security; urgency=medium

  * SECURITY UPDATE: dir existence issue via sudoedit race
    - debian/patches/CVE-2021-23239.patch: fix potential directory existing
      info leak in sudoedit in src/sudo_edit.c.
    - CVE-2021-23239
  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2021-3156-pre1.patch: check lock record size in
      plugins/sudoers/timestamp.c.
    - debian/patches/CVE-2021-3156-pre2.patch: sanity check size when
      converting the first record to TS_LOCKEXCL in
      plugins/sudoers/timestamp.c.
    - debian/patches/CVE-2021-3156-1.patch: reset valid_flags to
      MODE_NONINTERACTIVE for sudoedit in src/parse_args.c.
    - debian/patches/CVE-2021-3156-2.patch: add sudoedit flag checks in
      plugin in plugins/sudoers/policy.c.
    - debian/patches/CVE-2021-3156-3.patch: fix potential buffer overflow
      when unescaping backslashes in plugins/sudoers/sudoers.c.
    - debian/patches/CVE-2021-3156-4.patch: fix the memset offset when
      converting a v1 timestamp to TS_LOCKEXCL in
      plugins/sudoers/timestamp.c.
    - debian/patches/CVE-2021-3156-5.patch: don't assume that argv is
      allocated as a single flat buffer in src/parse_args.c.
    - CVE-2021-3156
  * debian/control: added tzdata to Build-Depends so that the time zone
    data directory is present during builds.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Jan 2021 09:36:00 -0500

sudo (1.8.21p2-3ubuntu1.3) bionic; urgency=medium

  * d/p/0001-In-pty_close-close-the-slave-and-remove-any-events-a.patch:
    - fix sudo hangs when IO logging is enabled (LP: #1895757)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 23 Sep 2020 14:59:35 +0000

sudo (1.8.21p2-3ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in sudo when pwfeedback is enabled
    - debian/patches/CVE-2019-18634.patch: fix overflow in src/tgetpass.c.
    - CVE-2019-18634

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2020 12:18:41 -0500

sudo (1.8.21p2-3ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via UID -1
    - debian/patches/CVE-2019-14287.patch: treat an ID of -1 as invalid
      in lib/util/strtoid.c.
    - CVE-2019-14287
    - debian/patches/CVE-2019-14287-2.patch: fix and add to tests in
      lib/util/regress/atofoo/atofoo_test.c,
      plugins/sudoers/regress/testsudoers/test5.out.ok,
      plugins/sudoers/regress/testsudoers/test5.sh.
    - CVE-2019-14287

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Oct 2019 14:32:59 -0400

sudo (1.8.21p2-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.
    Remaining changes:
    - debian/rules, debian/sudo.service, debian/sudo.sudo.init: stop
      shipping init script and service file, as they are no longer
      necessary.
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/control, debian/rules:
      + use dh-autoreconf
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 18 Jan 2018 01:08:16 +0100

sudo (1.8.21p2-3) unstable; urgency=medium

  * include sssd support in the sudo-ldap build too, closes: #884741

 -- Bdale Garbee <bdale@gag.com>  Mon, 18 Dec 2017 21:55:18 -0700

sudo (1.8.21p2-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. (LP: #1731981)
    Remaining changes:
    - debian/rules, debian/sudo.service, debian/sudo.sudo.init: stop
      shipping init script and service file, as they are no longer
      necessary.
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
      + install man/man8/sudo_root.8 in both flavours
      + install apport hooks
    - debian/source_sudo.py, debian/sudo-ldap.dirs, debian/sudo.dirs:
      + add usr/share/apport/package-hooks
    - debian/sudo.pam:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due to
        security reasons.
    - debian/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/control, debian/rules:
      + use dh-autoreconf
    - Remaining patches:
      + keep_home_by_default.patch: Keep HOME in the default environment

