=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  configure_args += --with-selinux --with-linux-audit
+  configure_args += --with-selinux --with-linux-audit --enable-tmpfiles.d=yes
 endif
 
 reconf-stamp:
@@ -45,7 +45,7 @@
 		--disable-root-mailer \
 		--enable-admin-flag \
 		--with-sendmail=/usr/sbin/sendmail \
-		--with-rundir=/var/run/sudo \
+		--with-rundir=/run/sudo \
 		--libexecdir=/usr/lib/sudo \
 		--with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(configure_args)
@@ -72,9 +72,10 @@
 		--enable-admin-flag \
 		--disable-setresuid \
 		--with-sendmail=/usr/sbin/sendmail \
-		--with-rundir=/var/run/sudo \
+		--with-rundir=/run/sudo \
 		--with-ldap-conf-file=/etc/sudo-ldap.conf \
 		--libexecdir=/usr/lib/sudo \
+		--with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(configure_args)
 
 	touch configure-stamp
@@ -116,7 +117,16 @@
 	rm -f	debian/sudo*/etc/sudoers \
 		debian/sudo*/usr/share/doc/sudo/LICENSE* \
 		debian/sudo*/usr/share/doc/sudo/ChangeLog
-	rmdir	debian/sudo*/var/run/sudo
+
+	# provide upstream sudoers.dist as an alternate example
+	mv debian/sudo/etc/sudoers.dist \
+		debian/sudo/usr/share/doc/sudo/examples/sudoers.dist
+	mv debian/sudo-ldap/etc/sudoers.dist \
+		debian/sudo-ldap/usr/share/doc/sudo-ldap/examples/sudoers.dist
+
+	# /run/sudo directory is created at boot time and shouldn't be in the
+	# package
+	rm -rf debian/sudo*/run
 
 	# move upstream-installed docs to the right place for ldap package
 	mv	debian/sudo-ldap/usr/share/doc/sudo/* \
@@ -154,6 +164,11 @@
 	install -o root -g root -m 0440 debian/README \
 		debian/sudo-ldap/etc/sudoers.d/README
 
+	# we don't want the initscript to run, the creation of the rundir and
+	# the cleanup the stamp files is now done by tmpfiles when using
+	# systemd
+	ln -s /dev/null debian/sudo/lib/systemd/system/sudo.service
+	ln -s /dev/null debian/sudo-ldap/lib/systemd/system/sudo.service
 
 binary-indep: build install
