## sudo 1.8.23

=== debian/changelog ===
sudo (1.8.23-2) unstable; urgency=high

  * fix FTBFS due to earlier sudoers2ldif removal, closes: #903415

 -- Bdale Garbee <bdale@gag.com>  Sat, 21 Jul 2018 11:22:37 -0600

sudo (1.8.23-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 30 Apr 2018 20:55:10 -0600
