=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 10), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, autotools-dev, bison, flex, libaudit-dev [linux-any], mandoc,
- dh-autoreconf, tzdata
+Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper (>= 10), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev [linux-any], mandoc
 Standards-Version: 4.1.1
-Vcs-Git: git://anonscm.debian.org/collab-maint/sudo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sudo.git
+Vcs-Git: https://salsa.debian.org/debian/sudo.git
+Vcs-Browser: https://salsa.debian.org/debian/sudo
 Homepage: http://www.sudo.ws/
 
 Package: sudo
