## sudo 1.8.26

=== debian/changelog ===
sudo (1.8.26-2) unstable; urgency=medium

  * patch from upstream to fix man page truncation, closes: #914469

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Nov 2018 14:59:17 -0700

sudo (1.8.26-1) unstable; urgency=medium

  [Bdale Garbee]
  * new upstream version

  [Ondřej Nový]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

 -- Bdale Garbee <bdale@gag.com>  Mon, 19 Nov 2018 00:32:06 -1000
