## sudo 1.8.27

=== debian/changelog ===
sudo (1.8.27-1+deb10u6) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2023-7090: A flaw was found in sudo in the handling of
    ipa_hostname, where ipa_hostname from /etc/sssd/sssd.conf
    was not propagated in sudo. Therefore, it leads to
    privilege mismanagement vulnerability in applications,
    where client hosts retain privileges even after retracting them.
  * Fix CVE-2023-28486: Sudo did not escape control characters
    in log messages.
  * Fix CVE-2023-28487: Sudo did not escape control characters
    in sudoreplay output.
  * Regenerate parsers from yacc file.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 21 Jan 2024 20:52:36 +0000

sudo (1.8.27-1+deb10u5) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-22809
    sudoedit: do not permit editor arguments to include "--"

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Jan 2023 21:03:02 +0100

sudo (1.8.27-1+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * CVE-2021-23239: Prevent an issue where a local unprivileged user may have
    been able to perform arbitrary directory-existence tests by exploiting a
    race condition in sudoedit by replacing a user-controlled directory by a
    symlink to an arbitrary path.

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Nov 2022 11:58:17 +0000

sudo (1.8.27-1+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Sanity check size when converting the first record to TS_LOCKEXCL
  * Heap-based buffer overflow (CVE-2021-3156)
    - Reset valid_flags to MODE_NONINTERACTIVE for sudoedit
    - Add sudoedit flag checks in plugin that are consistent with front-end
    - Fix potential buffer overflow when unescaping backslashes in user_args
    - Fix the memset offset when converting a v1 timestamp to TS_LOCKEXCL
    - Don't assume that argv is allocated as a single flat buffer

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 20 Jan 2021 13:26:17 +0100

sudo (1.8.27-1+deb10u2) buster; urgency=medium

  * Non-maintainer upload.
  * Fix a buffer overflow when pwfeedback is enabled and input is a not a tty
    (CVE-2019-18634) (Closes: #950371)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Feb 2020 08:41:42 +0100

sudo (1.8.27-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Treat an ID of -1 as invalid since that means "no change" (CVE-2019-14287)
  * Fix test failure in plugins/sudoers/regress/testsudoers/test5.sh

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Oct 2019 15:49:01 +0200

sudo (1.8.27-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Jan 2019 11:10:05 -0700
