=== debian/control ===
--- 
+++ 
@@ -33,5 +33,5 @@
  as few privileges as possible but still allow people to get their work done.
  .
  This version is built with LDAP support, which allows an equivalent of the
- sudoers database to be distributed via LDAP.  Authentication is still 
+ sudoers database to be distributed via LDAP.  Authentication is still
  performed via pam.
