=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,13 @@
 
 	# simple version
 	NROFFPROG=/usr/bin/nroff CFLAGS="$(CFLAGS)" \
-	    CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	    CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" devdir=. \
 	    dh_auto_configure --builddirectory=build-simple -- \
 		-v \
 		--with-all-insults \
 		--with-pam \
 		--with-fqdn \
+		--with-devel=yes \
 		--with-logging=syslog \
 		--with-logfac=authpriv \
 		--with-env-editor \
@@ -56,6 +57,7 @@
 		-v \
 		--with-all-insults \
 		--with-pam \
+		--with-devel=yes \
 		--with-ldap \
 		--with-fqdn \
 		--with-logging=syslog \
@@ -82,12 +84,11 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-
-	$(MAKE) -C build-simple
-	$(MAKE) -C build-ldap
+	cd build-simple && $(MAKE)
+	cd build-ldap && $(MAKE)
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C build-simple check
+	cd build-simple && $(MAKE) check
 endif
 
 	touch build-stamp
@@ -98,6 +99,7 @@
 	rm -f configure-stamp build-stamp
 	rm -rf build-simple build-ldap
 	rm -f config.cache
+	rm -f plugins/sudoers/gram.c plugins/sudoers/gram.h
 	dh_clean
 
 install: build-stamp
@@ -166,7 +168,7 @@
 	dh_installinit -psudo-ldap --name=sudo-ldap
 	dh_installman -A
 	dh_installinfo -A
-	dh_installchangelogs ChangeLog 
+	dh_installchangelogs ChangeLog
 	# clear dependency_libs field in .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	dh_strip
