## sudo 1.8.27.6

=== debian/changelog ===
sudo (1.8.27.6-1+security) unstable; urgency=medium

  * update

 -- Bdale Garbee <bdale@gag.com>  Thu, 01 Apr 2021 21:31:47 +0800

sudo (1.8.27.4-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 20 Aug 2020 14:43:02 +0800
