## sudo 1.8.27.8

=== debian/changelog ===
sudo (1.8.27.8-deepin1) unstable; urgency=medium

  * fix CVE-2023-22809

 -- zengwei <zengwei1@uniontech.com>  Sun, 29 Jan 2023 16:57:54 +0800

sudo (1.8.27.7-1+deepin) unstable; urgency=medium

  * compile with --without-lecture.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Sun, 09 Oct 2022 18:02:39 +0800
