=== debian/rules ===
--- 
+++ 
@@ -28,13 +28,12 @@
 
 	# simple version
 	NROFFPROG=/usr/bin/nroff CFLAGS="$(CFLAGS)" \
-	    CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" devdir=. \
+	    CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	    dh_auto_configure --builddirectory=build-simple -- \
 		-v \
 		--with-all-insults \
 		--with-pam \
 		--with-fqdn \
-		--with-devel=yes \
 		--with-logging=syslog \
 		--with-logfac=authpriv \
 		--with-env-editor \
@@ -43,6 +42,7 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
+		--without-lecture \
 		--disable-root-mailer \
 		--with-sendmail=/usr/sbin/sendmail \
 		--with-rundir=/run/sudo \
@@ -57,7 +57,6 @@
 		-v \
 		--with-all-insults \
 		--with-pam \
-		--with-devel=yes \
 		--with-ldap \
 		--with-fqdn \
 		--with-logging=syslog \
@@ -68,6 +67,7 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
+		--without-lecture \
 		--disable-root-mailer \
 		--disable-setresuid \
 		--with-sendmail=/usr/sbin/sendmail \
@@ -84,11 +84,12 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	cd build-simple && $(MAKE)
-	cd build-ldap && $(MAKE)
+
+	$(MAKE) -C build-simple
+	$(MAKE) -C build-ldap
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd build-simple && $(MAKE) check
+	$(MAKE) -C build-simple check
 endif
 
 	touch build-stamp
@@ -99,7 +100,6 @@
 	rm -f configure-stamp build-stamp
 	rm -rf build-simple build-ldap
 	rm -f config.cache
-	rm -f plugins/sudoers/gram.c plugins/sudoers/gram.h
 	dh_clean
 
 install: build-stamp
