=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,8 @@
 endif
 
 reconf-stamp:
-	cp -f /usr/share/misc/config.sub config.sub
-	cp -f /usr/share/misc/config.guess config.guess
-	autoconf -I m4
+	dh_testdir
+	dh_autoreconf
 	touch $@
 
 configure: configure-stamp
@@ -42,11 +41,12 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture \
+		--without-lecture --with-tty-tickets \
 		--disable-root-mailer \
+		--enable-admin-flag \
 		--with-sendmail=/usr/sbin/sendmail \
 		--with-rundir=/run/sudo \
-		--libexecdir=/usr/lib/sudo \
+		--libexecdir=/usr/lib \
 		--with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(configure_args)
 
@@ -67,13 +67,14 @@
 		--with-timeout=15 \
 		--with-password-timeout=0 \
 		--with-passprompt="[sudo] password for %p: " \
-		--without-lecture \
+		--without-lecture --with-tty-tickets \
 		--disable-root-mailer \
+		--enable-admin-flag \
 		--disable-setresuid \
 		--with-sendmail=/usr/sbin/sendmail \
 		--with-rundir=/run/sudo \
 		--with-ldap-conf-file=/etc/sudo-ldap.conf \
-		--libexecdir=/usr/lib/sudo \
+		--libexecdir=/usr/lib \
 		--with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(configure_args)
 
@@ -100,6 +101,7 @@
 	rm -f configure-stamp build-stamp
 	rm -rf build-simple build-ldap
 	rm -f config.cache
+	dh_autoreconf_clean
 	dh_clean
 
 install: build-stamp
@@ -142,6 +144,16 @@
 	install -o root -g root -m 0644 debian/sudo-ldap.lintian \
 		debian/sudo-ldap/usr/share/lintian/overrides/sudo-ldap
 
+	install -o root -g root -m 0644 debian/sudo_root.8 \
+		debian/sudo/usr/share/man/man8/sudo_root.8
+	install -o root -g root -m 0644 debian/sudo_root.8 \
+		debian/sudo-ldap/usr/share/man/man8/sudo_root.8
+
+	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
+		debian/sudo/usr/share/apport/package-hooks/source_sudo.py
+	install -o root -g root -m 0644 $(CURDIR)/debian/source_sudo.py \
+		debian/sudo-ldap/usr/share/apport/package-hooks/source_sudo.py
+
 	install -o root -g root -m 0440 debian/sudoers \
 		debian/sudo/etc/sudoers
 	install -o root -g root -m 0440 debian/sudoers \
@@ -164,8 +176,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs -A
-	dh_installinit -psudo --name=sudo
-	dh_installinit -psudo-ldap --name=sudo-ldap
 	dh_installman -A
 	dh_installinfo -A
 	dh_installchangelogs ChangeLog
