=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>= 10), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev [linux-any], mandoc
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/debian/sudo.git
