## sudo 1.9.3p1

=== debian/changelog ===
sudo (1.9.3p1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 24 Sep 2020 11:10:02 -0600

sudo (1.9.3-1) unstable; urgency=medium

  * new upstream version
  * make the comment match the text in default sudoers, closes: #964922
  * enable zlib, closes: #846077

 -- Bdale Garbee <bdale@gag.com>  Mon, 21 Sep 2020 17:11:30 -0600

sudo (1.9.1-2) unstable; urgency=medium

  * change # to @ on includedir in default sudoers to reduce confusion with
    a comment, such as in 964922

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Jul 2020 09:52:08 -0600
