## sudo 1.9.4

=== debian/changelog ===
sudo (1.9.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 01 Dec 2020 22:10:03 -0500
