## sudo 1.9.4p2

=== debian/changelog ===
sudo (1.9.4p2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 20 Dec 2020 17:43:54 -0700

sudo (1.9.4p1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 17 Dec 2020 17:35:55 -0700
