## sudo 1.9.5p1

=== debian/changelog ===
sudo (1.9.5p1-1) unstable; urgency=medium

  * new upstream version, closes: #980028

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Jan 2021 01:09:19 -0700

sudo (1.9.5-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 11 Jan 2021 15:15:48 -0700

sudo (1.9.4p2-2) unstable; urgency=medium

  * always use /bin/mv to ensure reproducible builds whether built on a
    usrmerge or non-usrmerge system, closes: #976307

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Jan 2021 09:11:13 -0700
